Bug 155111 - Include a META tag in HTML help articles to improve text search
Include a META tag in HTML help articles to improve text search
Status: REOPENED
Product: platform
Classification: Unclassified
Component: Help System
6.x
All All
: P3 (vote)
: TBD
Assigned To: Jaroslav Havlin
issues@platform
http://java.net/jira/browse/JAVAHELP-27
:
Depends on: 156289 179307
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 10:42 UTC by Oleg Barbashov
Modified: 2012-04-05 14:47 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oleg Barbashov 2008-12-10 10:42:44 UTC
Currently the order of search result's help topics is based primarily on quantity of repeating of searched words in help
article. Often it leads to low priority of topics directly concerning searched sentence. To avoid that the META tag with
search keywords may be added to HTML text articles that allows to increase priority of matches articles in search results.
Comment 1 Oleg Barbashov 2008-12-29 17:59:04 UTC
Done.
Comment 2 Jesse Glick 2009-01-06 00:19:46 UTC
You must include the Hg changeset ID in the comment when marking an issue RESOLVED/FIXED. For reference, seems to be
#b5187f7288b8 and #ddc306437cd3 (not sure why two separate changesets).
Comment 3 Jesse Glick 2009-01-06 00:24:31 UTC
Also related: #8a989e69bccb, #bb8bd6dc21b5, #a8badcf70821, #0673edf11b52.
Comment 4 Jesse Glick 2010-03-10 16:20:07 UTC
Reopening in 6.9 since we cannot have modified JH files in our source tree. See JH #27 for making this functionality be available upstream.
Comment 5 Quality Engineering 2010-03-12 04:32:30 UTC
Integrated into 'main-golden', will be available in build *201003120200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/82c5416e45ae
User: Jesse Glick <jglick@netbeans.org>
Log: #179307: revert #155111 impl to avoid problems with Maven.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo